/*
  Close.cpp

  Implementation of the Close function.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <io.h>
#include <fcntl.h>

#include "TGAFile.h"

/*
void Close()

Closes TGA file, discards memory

Parameters: none

Return value: none
*/

void TGAFile::Close()
{
  if(m_pInputFile)
  {
    fclose(m_pInputFile);
    m_pInputFile = 0;
  }
  delete m_pData;
  m_pData = 0;
  delete m_pHeader;
  m_pHeader = 0;
}
